-- Fenris Core by Etherizim of the Get of Fenris v1.90.06

function fenris_initialize()
	fenris_CheckLoad();
	SlashCmdList["FENRIS"] = function(msg) fenris_command(msg) end;
	SLASH_FENRIS1 = "/gof";
	SLASH_FENRIS2 = "/fenris";	
end
function fenris_CheckLoad()
	DisableAddOn("Enchantrix");
	DisableAddOn("Informant");
	if (IsAddOnLoaded("Atlas")) then
		Fenris_Atlas_Button:Show();
	else
		Fenris_Atlas_Button:Hide();
	end
	if (IsAddOnLoaded("ItemsMatrix")) then
		Fenris_ItemsMatrix_Button:Show();
	else
		Fenris_ItemsMatrix_Button:Hide();
	end
end

function fenris_command(msg)
	if ( not msg ) then
		msg = "";
		return;
	end
	if ( msg == "gof" ) then
		SendChatMessage("www.gofguild.cjb.net", "GUILD", "Common", "GUILD");
		return;
	end
	if ( msg == "update" ) then
		SendChatMessage("The latest release of Fenris UI is now available for download.  It can be found here: www.wowguru.com. Search Fenris", "GUILD", "Common", "GUILD");
		return;
	end
	if ( msg == "name" ) then
		SendChatMessage("We are the Children of Fenris, the Norse Wolf God of War", "GUILD", "Common", "GUILD");
		return;
	end
	if ( msg == "reload") then
		ReloadUI();
		return;
	end
	if ( msg == "help" ) then
		Fenris_Chat("Fenris v1.9");
		Fenris_Chat("-- /gof update : Posts an update message to the guild to update to the new Fenris UI version");
		Fenris_Chat("-- /gof name   : Explains about what our Guild Name means");
		Fenris_Chat("-- /gof reload : Reloads the UI to fix any display problems");
		return;
	end
end

function Fenris_Chat(msg)
	if( DEFAULT_CHAT_FRAME ) then
		DEFAULT_CHAT_FRAME:AddMessage("<Fenris> "..msg, 1.0, 1.0, 0.0);
	end
end