--[[

Fenris ItemsMatrix v1.0
by Etherizim, http://www.gofguild.cjb.net
9/19/2005
	
- Adds a button attached to the mini-map to access the ItemsMatrix panel.

]]


function Fenris_ItemsMatrix_ButtonOnEnter ()
	GameTooltip:SetOwner(this, "ANCHOR_LEFT");
	GameTooltip:SetText("Opens the ItemsMatrix Panel.", 1.0, 1.0, 1.0);
end


function Fenris_ItemsMatrix_OptionsFrameToggle ()
	if (ItemsMatrixFrame:IsVisible()) then
		HideUIPanel(ItemsMatrixFrame);
		PlaySound("igMainMenuQuit");
	else
		ShowUIPanel(ItemsMatrixFrame);
		PlaySound("igMainMenuOption");
	end
end